
=encoding utf8

=head1 NAME

Sidef::Types::Set::Bag

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Bag(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Set::Set

=head1 METHODS

=head2 &

    a & b

Returns the

Aliases: I<∩>, I<and>, I<intersection>

=cut

=head2 +

    a + b

Returns the

Aliases: I<concat>

=cut

=head2 -

    a - b

Returns the

Aliases: I<∖>, I<sub>, I<diff>, I<difference>

=cut

=head2 ...

    a ... b

Returns the

Aliases: I<to_list>

=cut

=head2 <<

    a << b

Returns the

Aliases: I<add>, I<push>, I<append>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>, I<symdiff>, I<symmetric_difference>

=cut

=head2 |

    a | b

Returns the

Aliases: I<∪>, I<or>, I<union>

=cut

=head2 ∋

    a ∋ b

Returns the

Aliases: I<has>, I<exists>, I<has_key>, I<haskey>, I<contain>, I<include>, I<contains>, I<includes>

=cut

=head2 ∌

    a ∌ b

Returns the

=cut

=head2 ≠

    a ≠ b

Returns the

Aliases: I<!=>, I<ne>

=cut

=head2 ≡

    a ≡ b

Returns the

Aliases: I<==>, I<eq>

=cut

=head2 ≤

    a ≤ b

Returns the

Aliases: I<⊆>, I<E<lt>=>, I<is_subset>

=cut

=head2 ≥

    a ≥ b

Returns the

Aliases: I<⊇>, I<E<gt>=>, I<is_superset>

=cut

=head2 add_kv

    Bag.add_kv()

Returns the

Aliases: I<push_kv>, I<add_pair>, I<append_kv>, I<push_pair>, I<append_pair>

=cut

=head2 add_kvs

    Bag.add_kvs()

Returns the

Aliases: I<push_kvs>, I<add_pairs>, I<append_kvs>, I<push_pairs>, I<append_pairs>

=cut

=head2 clone

    Bag.clone()

Returns the

=cut

=head2 collect

    Bag.collect()

Returns the

=cut

=head2 contains_all

    Bag.contains_all()

Returns the

=cut

=head2 count_by

    Bag.count_by()

Returns the

=cut

=head2 delete

    Bag.delete()

Returns the

Aliases: I<remove>, I<discard>

=cut

=head2 delete_all

    Bag.delete_all()

Returns the

Aliases: I<remove_all>, I<discard_all>

=cut

=head2 delete_first_if

    Bag.delete_first_if()

Returns the

=cut

=head2 delete_if

    Bag.delete_if()

Returns the

=cut

=head2 delete_key

    Bag.delete_key()

Returns the

Aliases: I<remove_key>, I<discard_key>

=cut

=head2 dump

    Bag.dump()

Returns the

=cut

=head2 each

    Bag.each()

Returns the

=cut

=head2 each_2d

    Bag.each_2d()

Returns the

=cut

=head2 each_kv

    Bag.each_kv()

Returns the

=cut

=head2 elems

    Bag.elems()

Returns the

Aliases: I<keys_len>

=cut

=head2 freq

    Bag.freq()

Returns the

=cut

=head2 get

    Bag.get()

Returns the

Aliases: I<count>

=cut

=head2 grep

    Bag.grep()

Returns the

Aliases: I<select>

=cut

=head2 grep_2d

    Bag.grep_2d()

Returns the

=cut

=head2 grep_kv

    Bag.grep_kv()

Returns the

=cut

=head2 iter

    Bag.iter()

Returns the

=cut

=head2 join

    Bag.join()

Returns the

=cut

=head2 keys

    Bag.keys()

Returns the

=cut

=head2 kv

    Bag.kv()

Returns the

Aliases: I<pairs>

=cut

=head2 len

    Bag.len()

Returns the

Aliases: I<size>, I<length>

=cut

=head2 map

    Bag.map()

Returns the

=cut

=head2 map_2d

    Bag.map_2d()

Returns the

=cut

=head2 map_kv

    Bag.map_kv()

Returns the

=cut

=head2 max

    Bag.max()

Returns the

=cut

=head2 max_by

    Bag.max_by()

Returns the

=cut

=head2 min

    Bag.min()

Returns the

=cut

=head2 min_by

    Bag.min_by()

Returns the

=cut

=head2 new

    Bag.new()

Returns the

Aliases: I<call>

=cut

=head2 pop

    Bag.pop()

Returns the

=cut

=head2 set_kv

    Bag.set_kv()

Returns the

Aliases: I<update_kv>, I<update_pair>, I<replace_pair>

=cut

=head2 set_kvs

    Bag.set_kvs()

Returns the

Aliases: I<update_kvs>, I<update_pairs>, I<replace_pairs>

=cut

=head2 shift

    Bag.shift()

Returns the

=cut

=head2 sort

    Bag.sort()

Returns the

=cut

=head2 sort_by

    Bag.sort_by()

Returns the

=cut

=head2 to_a

    Bag.to_a()

Returns the

Aliases: I<expand>, I<to_array>

=cut

=head2 to_bag

    Bag.to_bag()

Returns the

=cut

=head2 top

    Bag.top()

Returns the

Aliases: I<most_common>

=cut

=head2 to_set

    Bag.to_set()

Returns the

=cut

=head2 uniq

    Bag.uniq()

Returns the

Aliases: I<unique>

=cut

=head2 values

    Bag.values()

Returns the

=cut
